<template>
  <div class="profile">
    <v-notification
      :messages="messages"
      :timeout="3000"
    />
    <div class="container">
      <div class="profile-head">
        <div @click="otherProfileShowModal" class="subtitle">
          Аристарх Мышеловский
          <img src="../assets/images/icons/arrow-down.svg" alt="">
        </div>
        <router-link :to="{name: 'settings'}">
          <img class="profile-settings" src="../assets/images/icons/settings.svg" alt="">
        </router-link>
      </div>
      <div class="profile-avatar-wrap">
        <div class="profile-avatar-img">
          <img src="../assets/images/card/img1.jpg" alt="">
        </div>
        <div class="profile-avatar-name">
          <div class="profile-name title">Аристарх Мышеловский</div>
          <div class="profile-type subtitle">Просмотры:</div>
          <div class="profile-main-name subtitle">256 (+12 за неделю)</div>
        </div>
      </div>
      <div class="filter-category-wrap">
        <div
          v-for="(el, i) in category"
          :key="'filtersCategory'+i"
          class="filter-category"
          :class="{'filter-category-active':selectedCategory === el.id}"
          @click="selectedCategory = el.id"
        >
          {{el.name}}
        </div>
      </div>
    </div>
    <div class="home-filter-slide">
      <div
        v-for="(slide, i) in slideTypeAccount.el"
        :key="i"
        :class="{'active': slideTypeAccount.active === slide.name}"
        @click="slideTypeAccount.active = slide.name"
        class="slide"
      >{{slide.name}}</div>
    </div>
    <div class="container">
      <router-link :to="{name: 'profile', params: {id: 'JenskiiClub'}}">
        <CardProfile name="Jenskii Club" :owner="true"/>
      </router-link>
    </div>
    <ModalBottom
      v-show="settingsCardProfile"
      @close="settingsCardProfile = false"
    >
      <template #body>
        <div class="modal-settings-profile-wrap">
          <router-link :to="{name: 'edit-ad'}" class="modal-setting-btn">
            Редактировать
            <img src="../assets/images/icons/edit.svg" alt="">
          </router-link>
          <div class="modal-setting-btn">
            Продлить
            <img src="../assets/images/icons/extend.svg" alt="">
          </div>
          <div class="modal-setting-btn">
            Удалить
            <img src="../assets/images/icons/urn.svg" alt="">
          </div>
        </div>
      </template>
    </ModalBottom>
    <ModalBottom
      v-show="otherProfile"
      @close="otherProfile = false"
    >
      <template #body>
        <div class="modal-change-profile-wrap">
          <div class="modal-change-btn">
            <div class="container">
              <div class="image-wrap">
                <img src="../assets/images/card/img1.jpg" alt="">
              </div>
              <div class="name-wrap">
                <div class="title">Аристарх Мышеловский</div>
                <div class="phone subtitle">+7 (905) 854-34-23</div>
              </div>
              <div class="icon-wrap">
                <img src="../assets/images/icons/check.svg" alt="">
              </div>
            </div>
          </div>
          <div class="modal-change-btn">
            <div class="container">
              <div class="image-wrap">
                <img src="../assets/images/card/img1.jpg" alt="">
              </div>
              <div class="name-wrap">
                <div class="title">Green Lite</div>
                <div class="phone subtitle">+7 (910) 879-47-31</div>
              </div>
              <div class="icon-wrap">
                <img src="../assets/images/icons/login.svg" alt="">
              </div>
            </div>
          </div>
          <div class="modal-change-btn">
            <div class="container">
              <div class="image-wrap">
                <img src="../assets/images/icons/add-account.svg" alt="">
              </div>
              <div class="add-account title">Добавить аккаунт</div>
            </div>
          </div>
        </div>
      </template>
    </ModalBottom>
  </div>
</template>

<script>
import CardProfile from "../components/Card-profile";
import ModalBottom from "../components/Modal-bottom";
import VNotification from "../components/Notification";
export default {
  name: "My-profile",
  components: {VNotification, ModalBottom, CardProfile},
  data () {
    return {
      category: [
        {name: 'Аккаунты', id: 1, active: false},
        {name: 'Реклама', id: 2, active: false},
        {name: 'Работа', id: 3, active: false}
      ],
      selectedCategory: 1,
      slideTypeAccount: {
        active: 'Все',
        el: [
          { name: 'Все', link: '' },
          { name: 'Активные', link: '' },
          { name: 'Проданные', link: '' },
          { name: 'Просроченные', link: '' },
        ]
      },
      settingsCardProfile: false,
      otherProfile: false,
      messages: []
    }
  },
  created () {
    this.$root.$refs.myProfile = this
  },
  methods: {
    settingsShowModal() {
      if (document.body.style.overflow === '' || document.body.style.overflow === 'visible' && !this.settingsCardProfile) {
        document.body.style.overflow = 'hidden'
        this.settingsCardProfile = true
      }
      // закрыть меню, только если оно отрыто, так же включить скролл body
      else if (document.body.style.overflow === 'hidden' && this.settingsCardProfile) {
        this.settingsCardProfile = false
        document.body.style.overflow = 'visible'
      }
    },
    otherProfileShowModal() {
      if (document.body.style.overflow === '' || document.body.style.overflow === 'visible' && !this.otherProfile) {
        document.body.style.overflow = 'hidden'
        this.otherProfile = true
      }
      // закрыть меню, только если оно отрыто, так же включить скролл body
      else if (document.body.style.overflow === 'hidden' && this.otherProfile) {
        this.otherProfile = false
        document.body.style.overflow = 'visible'
      }
    },
    notification () {
      const vm = this
      setTimeout(()=> {
        vm.messages.unshift(
          { title: 'Объявление размещено', subtitle: 'Объявление будет активно до 27.04.2022', icon: 'alert', id: 12122 }
        )
        console.log(1)
      }, 3000)
    },
  },
  mounted() {
  }
}
</script>

<style scoped lang="scss">
.profile {
  .container {
    padding-bottom: 0;
    .profile-head {
      display: flex;
      margin-bottom: 26.5px;
      .subtitle {
        display: flex;
        align-items: center;
        width: 100%;
        justify-content: center;
        margin-left: 48px;
        img {
          margin-left: 6px;
        }
      }
      .profile-settings {
        margin-left: auto;
      }
    }
    .profile-avatar-wrap {
      display: flex;
      margin-bottom: 32px;
      line-height: 120%;
      .profile-avatar-img {
        margin-right: 14px;
        width: 105px;
        img {
          width: 105px;
          border-radius: 50%;
        }
        position: relative;
        span {
          background: linear-gradient(180deg, #CC00AB 0%, #FF7A00 100%);
          border: 1.45833px solid #FFFFFF;
          box-sizing: border-box;
          width: 41px;
          height: 41px;
          border-radius: 50%;
          position: absolute;
          top: 0;
          left: 0;
        }
      }
      .profile-avatar-name {
        font-weight: 700;
        font-size: 20px;
        .profile-name {
          margin-bottom: 14px;
          text-align: left;
        }
        .profile-type {
          font-weight: 700;
          font-size: 16px;
          margin-bottom: 8px;
        }
        .profile-main-name {
          color: #2B7FE2;
          font-weight: 700;
          font-size: 16px;
        }
      }
    }
    .filter-category-wrap {
      display: flex;
      justify-content: space-between;
      margin-bottom: 24px;
      .filter-category {
        color: #C4C4C4;
        border-radius: 8px;
        padding: 10px 24px;
        border: 1px solid #C4C4C4;
        text-align: center;
        transition: all 0.3s ease;
        &.filter-category-active {
          background: #2B7FE2;
          color: white;
        }
      }
    }
  }
  .home-filter-slide {
    display: flex;
    overflow-y: scroll;
    -ms-overflow-style: none;  /* IE and Edge */
    scrollbar-width: none;  /* Firefox */
    padding-left: 24px;
    margin-bottom: 16px;
    &::-webkit-scrollbar {
      display: none;
    }
    .slide {
      margin: 0 8px;
      display: inline-block;
      color: #C4C4C4;
      transition: all 0.3s;
      &:first-child {
        margin-left: 0;
      }
      &.active {
        color: #2B7FE2;
      }
    }
  }
}

.modal-settings-profile-wrap {
  display: flex;
  flex-direction: column;
  align-items: center;
  font-weight: 700;
  font-size: 16px;
  line-height: 120%;
  .modal-setting-btn {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 100%;
    height: 72px;
    border-bottom: 0.5px solid #C4C4C4;
    img {
      margin-left: 18px;
    }
    &:first-child {
    }
    &:last-child {
      color: #FF4949;
      border-bottom: none;
    }
  }
}
.modal-change-profile-wrap {
  display: flex;
  flex-direction: column;
  align-items: center;
  font-weight: 700;
  font-size: 16px;
  line-height: 120%;
  margin-top: 34px;
  .modal-change-btn {
    width: 100%;
    border-bottom: 0.5px solid #C4C4C4;
    padding-bottom: 16px;
    .container {
      display: flex;
      align-items: center;
      justify-content: space-between;
      width: 100%;
      .add-account.title {
        width: 100%;
        text-align: center;
        font-size: 20px;
        transform: translate(-18px, -5px);
      }
    }
    &:first-child .container {
      padding-top: 0;
    }
    &:last-child .container {
      display: flex;
      align-items: center;
      justify-content: inherit;
    }


    .image-wrap {
      width: 64px;
      height: 64px;
      border-radius: 50%;
      img {
        width: 100%;
      }
    }
    .name-wrap {
      display: flex;
      flex-direction: column;
      flex-basis: 59%;
      .title {
        font-size: 16px;
        margin-bottom: 8px;text-align: left;
      }
      .phone {
        font-weight: 400;
        font-size: 16px;
        text-align: left;
      }
    }
    .icon-wrap {}
    &:first-child {
    }
    &:last-child {
      color: #FF4949;
      border-bottom: none;
    }
  }
}
</style>
